/* SampleScripts.cs
   Copyright (C) 2006 Pageflex and Bitstream Inc. All rights reserved.

History:
  01.05.2007 rm   choppy.
  11.28.2006 rm   Created.
*/

using System;
using System.IO;
using Pageflex.Scripting;

public class HiResByName
{

    // Convert all images to use HiRes paths
    public static void UseHiResImagePaths(string ElementNames)
    {
        // Find all images in document
        string[] arrImages = ElementNames.Split(',');
        foreach (string strElementName in arrImages)
        {
			Document doc = Application.CurrentDocument;
			try
			{
				Element n = doc.FindElement(strElementName);
				if (n != null && n is Image && n.IsVisible)
				{
					// Convert e.g. "C:\Images\cat.jpg" to "C:\Images\HiRes\cat.jpg" 
					Image i = (Image)n;
					string source = i.Source;
					string sourceResolved = i.SourceResolved;	
					Application.Log("Info: Old Source= " + sourceResolved);

					if (!string.IsNullOrEmpty(sourceResolved))
					{                    
						if (!Path.GetDirectoryName(sourceResolved).ToLower().Contains("hires"))
						{
							string folder = Path.Combine(Path.GetDirectoryName(sourceResolved), "HiRes");

							i.Source = Path.Combine(folder, Path.GetFileName(sourceResolved));
							Application.Log("Info: New Source= " + i.Source.ToString());
						}
					}
				}
			}
			catch (Exception)
			{
				Application.Log("ERROR: UseHiResImagePaths | Image was not found " + strElementName);
			}
        }
    }

}
